// Generated IDL File (by Great Migrations Studio) 
// Created: 12/30/2015 12:24:09 PM
// Source: C:\gmSamples\newsamples\ASP\FMStocks_csh\src\FMSLib\bin\FMStocks_DB.dll
// typelib filename: FMStocks_DB.dll
[
    uuid(AEC6C865-620E-4A3C-A7ED-44767CA5A219),
    version(2.0),
    custom(50867B00-BB69-11D0-A8FF-00A0C9110059, "8169")
]
library FMStocks_DB
{
    // TLib : OLE Automation : {00020430-0000-0000-C000-000000000046}
    importlib("stdole2.tlb");
    // TLib : Microsoft ActiveX Data Objects 2.7 Library : {EF53050B-882E-4776-B643-EDA472E8E3F2}
    importlib("msado27.tlb");

    // Forward declare all types defined in this typelib

    interface _Version;
    interface _Account;
    interface _TxNew;
    interface _Broker;
    interface _Position;
    interface _Ticker;
    interface _Tx;
    interface _DBHelper;
    coclass Version;
    coclass Account;
    coclass TxNew;
    coclass Broker;
    coclass Position;
    coclass Ticker;
    coclass Tx;
    coclass DBHelper;

    [
        odl,
        uuid(5EEFD1A5-730B-4B83-BC6E-F5ECF66617B0),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _Version : IDispatch {
        [id(0x60030003)]
        HRESULT connectionString([out, retval] BSTR* retVal);
        [id(0x60030004)]
        HRESULT AppVersion([out, retval] BSTR* retVal);
        [id(0x60030005)]
        HRESULT ComputerName([out, retval] BSTR* retVal);
    };

    [
        uuid(0E39BDFC-C187-4978-848B-011FE83E5688),
        version(1.0)
    ]
    coclass Version {
        [default] interface _Version;
    };

    [
        odl,
        uuid(56789973-848B-43E6-93A0-01A171381133),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _Account : IDispatch {
        [id(0x60030008)]
        HRESULT Add(
            [in] BSTR FirstName,
            [in] BSTR LastName,
            [in] BSTR password,
            [in] BSTR Email,
            [in] currency Balance,
            [out, retval] long* retVal);
        [id(0x60030009)]
        HRESULT Summary(
            [in] long AccountID,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x6003000a)]
        HRESULT VerifyUser(
            [in] BSTR Email,
            [in] BSTR password,
            [in, out] VARIANT* AccountID,
            [in, out] VARIANT* FullName,
            [out, retval] VARIANT_BOOL* retVal);
        [id(0x6003000b)]
        HRESULT GetAccountInfo(
            [in] long AccountID,
            [in, out] VARIANT* FullName,
            [in, out] VARIANT* Email,
            [in, out] VARIANT* Balance);
    };

    [
        uuid(1E238C74-7435-4F3B-BB42-5226EE7CF414),
        version(1.0)
    ]
    coclass Account {
        [default] interface _Account;
    };

    [
        odl,
        uuid(AFC7FBD6-D4AE-4B75-B9F9-6A72BD8AB28D),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _TxNew : IDispatch {
        [id(0x60030005)]
        HRESULT SetTxType(
            [in] long TxID,
            [in] long TxTypeId);
    };

    [
        uuid(54B94746-3B1D-4DC1-8681-8B026AA21C9D),
        version(1.0)
    ]
    coclass TxNew {
        [default] interface _TxNew;
    };

    [
        odl,
        uuid(D2D07FE0-E2A0-46B7-A452-AE66E092C74D),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _Broker : IDispatch {
        [id(0x60030006)]
        HRESULT Buy(
            [in] long TxID,
            [in] long AccountID,
            [in] BSTR Ticker,
            [in] long Shares,
            [in] currency Price,
            [in] currency Commission,
            [out, retval] long* retVal);
        [id(0x60030007)]
        HRESULT Sell(
            [in] long TxID,
            [in] currency Price,
            [in] currency Commission,
            [out, retval] VARIANT_BOOL* retVal);
    };

    [
        uuid(EA2C8E04-675C-42D2-A515-C0072C488C46),
        version(1.0)
    ]
    coclass Broker {
        [default] interface _Broker;
    };

    [
        odl,
        uuid(93DE831B-7605-4545-A10A-2C700D6A08BF),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _Position : IDispatch {
        [id(0x60030007)]
        HRESULT ListForAdjustment(
            [in] long AccountID,
            [in] BSTR Ticker,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030008)]
        HRESULT ListSummary(
            [in] long AccountID,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030009)]
        HRESULT ListForSale(
            [in] long AccountID,
            [out, retval] ADODB._Recordset** retVal);
    };

    [
        uuid(2C74D922-5FB1-43FE-809A-77754653EE6C),
        version(1.0)
    ]
    coclass Position {
        [default] interface _Position;
    };

    [
        odl,
        uuid(056836CB-F013-4992-ABC9-EF0F6E32DB0F),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _Ticker : IDispatch {
        [id(0x60030009)]
        HRESULT VerifySymbol(
            [in] BSTR Ticker,
            [out, retval] VARIANT_BOOL* retVal);
        [id(0x6003000a)]
        HRESULT GetPrice(
            [in] BSTR Ticker,
            [out, retval] currency* retVal);
        [id(0x6003000b)]
        HRESULT ListByTicker(
            [in] BSTR Ticker,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x6003000c)]
        HRESULT ListByCompany(
            [in] BSTR Company,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x6003000d)]
        HRESULT GetFundamentals(
            [in] BSTR Ticker,
            [out, retval] ADODB._Recordset** retVal);
    };

    [
        uuid(2BD246AD-45BD-4963-B215-1EA968A10932),
        version(1.0)
    ]
    coclass Ticker {
        [default] interface _Ticker;
    };

    [
        odl,
        uuid(BE69F723-A96A-4024-A2F0-7D67E702AC92),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _Tx : IDispatch {
        [id(0x60030007)]
        HRESULT GetByID(
            [in] long TxID,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030008)]
        HRESULT AddSellOrder(
            [in] long AccountID,
            [in] BSTR Ticker,
            [in] long Shares,
            [out, retval] long* retVal);
        [id(0x60030009)]
        HRESULT AddBuyOrder(
            [in] long AccountID,
            [in] BSTR Ticker,
            [in] long Shares,
            [out, retval] long* retVal);
    };

    [
        uuid(9EEB3195-6923-4D74-8329-004C37B1286C),
        version(1.0)
    ]
    coclass Tx {
        [default] interface _Tx;
    };

    [
        odl,
        uuid(72D484C0-1B4F-47EA-BDAA-3D349B9D7EBC),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _DBHelper : IDispatch {
        [id(0x6003000b)]
        HRESULT GetConnectionString([out, retval] BSTR* retVal);
        [id(0x6003000c)]
        HRESULT RunSPReturnRS(
            [in] BSTR strSP,
            [in, out, optional] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x6003000d)]
        HRESULT RunSQLReturnRS(
            [in] BSTR strSQL,
            [in, out] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x6003000e)]
        HRESULT RunSPReturnRS_RW(
            [in] BSTR strSP,
            [in, out] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x6003000f)]
        HRESULT RunSQLReturnRS_RW(
            [in] BSTR strSQL,
            [in, out] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] ADODB._Recordset** retVal);
        [id(0x60030010)]
        HRESULT RunSP(
            [in] BSTR strSP,
            [in, out] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] VARIANT* retVal);
        [id(0x60030011)]
        HRESULT RunSQL(
            [in] BSTR strSQL,
            [in, out] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] VARIANT* retVal);
        [id(0x60030012)]
        HRESULT RunSPReturnInteger(
            [in] BSTR strSP,
            [in, out] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] long* retVal);
        [id(0x60030013)]
        HRESULT RunSQLReturnInteger(
            [in] BSTR strSQL,
            [in, out] VARIANT* params,
            [in, out, optional] BSTR* strConn,
            [out, retval] long* retVal);
    };

    [
        uuid(4968F397-2ECF-440F-9463-A00EAB8FE063),
        version(1.0)
    ]
    coclass DBHelper {
        [default] interface _DBHelper;
    };

};